/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dto;

import java.util.Date;

import org.hibernate.validator.constraints.NotBlank;
import com.wechat.common.utils.Time2Now;

/**
 * 返回数据用
 * 
 * @author jadyn.wu
 * @version 20190402
 */
public class TrendsDto extends BasePageDto<TrendsDto>{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Long trendId; // 动态id
	private String userCode; // 用户code
	private String trendDesc; // 文字消息
	private String trendPicurl; // 图片消息（单图）
	private String showFlag; // 可见范围[0-全网；1-仅好友]
	private String likeWho; // 点赞的用户记录(json形式存储，[key：用户CODE;value：用户姓名、职称、头像路径])
	private Integer likeCount; // 点赞数量
	private String commentWho; // 评论记录(json形式存储，[key：用户CODE;value：评论内容，用户姓名、职称、头像路径])
	private Integer commentCount; // 评论数量
	// 用户表 用户姓名 用户头衔
	private String userName;
	private String foreignName;
	private String identityFlag;
	private String userHeadPortrait;
	private String[] publishTime2Now;// 例如: 一分钟以前
	private String coName;
	private String  positionTitle;
	
	private Long originTrendId;
	private String originUserCode;
	private String originTrend;
	private String originUserHeadPortrait;
	private String  originCoName;
	private String  originPositionTitle;
	
	private Date createDate;
	
	private boolean adFlag=false;
	private String adHref;
	private String adContent;		// 资讯内容（图文）
	
	private String linkInfo;
	
	// 筹开标识
	private String prepareFlag;
	
	public TrendsDto() {
		super();
	}

	// @NotNull(message="动态id不能为空")
	public Long getTrendId() {
		return trendId;
	}

	public void setTrendId(Long trendId) {
		this.trendId = trendId;
	}

	@NotBlank(message="用户code不能为空|User code can not be empty.")
	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	// @Length(min=0, max=255, message="文字消息长度必须介于 0 和 255 之间")
	public String getTrendDesc() {
		return trendDesc;
	}

	public void setTrendDesc(String trendDesc) {
		this.trendDesc = trendDesc;
	}

	// @Length(min=0, max=300, message="图片消息（单图）长度必须介于 0 和 300 之间")
	public String getTrendPicurl() {
		return trendPicurl;
	}

	public void setTrendPicurl(String trendPicurl) {
		this.trendPicurl = trendPicurl;
	}

	// @Length(min=1, max=1, message="可见范围[0-全网；1-仅好友]长度必须介于 1 和 1 之间")
	public String getShowFlag() {
		return showFlag;
	}

	public void setShowFlag(String showFlag) {
		this.showFlag = showFlag;
	}

	public String getLikeWho() {
		return likeWho;
	}

	public void setLikeWho(String likeWho) {
		this.likeWho = likeWho;
	}

	// @Length(min=0, max=11, message="点赞数量长度必须介于 0 和 11 之间")
	public Integer getLikeCount() {
		return likeCount;
	}

	public void setLikeCount(Integer likeCount) {
		this.likeCount = likeCount;
	}

	public String getCommentWho() {
		return commentWho;
	}

	public void setCommentWho(String commentWho) {
		this.commentWho = commentWho;
	}

	// @Length(min=0, max=11, message="评论数量长度必须介于 0 和 11 之间")
	public Integer getCommentCount() {
		return commentCount;
	}

	public void setCommentCount(Integer commentCount) {
		this.commentCount = commentCount;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserHeadPortrait() {
		return userHeadPortrait;
	}

	public void setUserHeadPortrait(String userHeadPortrait) {
		this.userHeadPortrait = userHeadPortrait;
	}

	public String[] getPublishTime2Now() {
		return publishTime2Now;
	}

	public void setPublishTime2Now(String[] publishTime2Now) {
		this.publishTime2Now = publishTime2Now;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}


	public Long getOriginTrendId() {
		return originTrendId;
	}

	public void setOriginTrendId(Long originTrendId) {
		this.originTrendId = originTrendId;
	}

	public String getOriginUserCode() {
		return originUserCode;
	}

	public void setOriginUserCode(String originUserCode) {
		this.originUserCode = originUserCode;
	}

	public String getOriginTrend() {
		return originTrend;
	}

	public void setOriginTrend(String originTrend) {
		this.originTrend = originTrend;
	}

	public String getOriginUserHeadPortrait() {
		return originUserHeadPortrait;
	}

	public void setOriginUserHeadPortrait(String originUserHeadPortrait) {
		this.originUserHeadPortrait = originUserHeadPortrait;
	}

	public boolean isAdFlag() {
		return adFlag;
	}

	public void setAdFlag(boolean adFlag) {
		this.adFlag = adFlag;
	}

	public String getAdHref() {
		return adHref;
	}

	public void setAdHref(String adHref) {
		this.adHref = adHref;
	}

	public String getAdContent() {
		return adContent;
	}

	public void setAdContent(String adContent) {
		this.adContent = adContent;
	}

	public String getLinkInfo() {
		return linkInfo;
	}

	public void setLinkInfo(String linkInfo) {
		this.linkInfo = linkInfo;
	}

	public String getCoName() {
		return coName;
	}

	public void setCoName(String coName) {
		this.coName = coName;
	}

	public String getPositionTitle() {
		return positionTitle;
	}

	public void setPositionTitle(String positionTitle) {
		this.positionTitle = positionTitle;
	}

	public String getOriginCoName() {
		return originCoName;
	}

	public void setOriginCoName(String originCoName) {
		this.originCoName = originCoName;
	}

	public String getOriginPositionTitle() {
		return originPositionTitle;
	}

	public void setOriginPositionTitle(String originPositionTitle) {
		this.originPositionTitle = originPositionTitle;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
		this.publishTime2Now = Time2Now.format(createDate,"");
	}

	public String getPrepareFlag() {
		return prepareFlag;
	}

	public void setPrepareFlag(String prepareFlag) {
		this.prepareFlag = prepareFlag;
	}

}